package com.xkrs.controller;

import com.xkrs.dao.QcInspectionSpecDao;
import com.xkrs.encapsulation.PromptMessageEnum;
import com.xkrs.model.entity.QcInspectionSpec;
import com.xkrs.model.qo.QcInspectionSpecQo;
import com.xkrs.service.QcInspectionSpecService;
import org.springframework.context.i18n.LocaleContextHolder;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import java.util.List;
import java.util.Locale;

import static com.xkrs.encapsulation.OutputEncapsulation.outputEncapsulationObject;

@RestController
public class QcInspectionSpecController {

    @Resource
    private QcInspectionSpecService inspectionSpecService;

    @Resource
    private QcInspectionSpecDao inspectionSpecDao;

    /**
     * 添加规格数据
     *
     * @param inspectionSpecQo
     * @return
     */
    @PostMapping("/insertSpec")
    public String insertSpec(@RequestBody QcInspectionSpecQo inspectionSpecQo) {
        return inspectionSpecService.insertSpec(inspectionSpecQo);
    }

    /**
     * 查询规格信息
     */
    @GetMapping("/selectSpec")
    public String selectSpec(@RequestBody QcInspectionSpecQo inspectionSpecQo) {
        Locale locale = LocaleContextHolder.getLocale();
        String partNo = inspectionSpecQo.getPartNo();
        String inspectionItemCode = inspectionSpecQo.getInspectionItemCode();
        List<QcInspectionSpec> inspectionSpecs = inspectionSpecDao.findByPartNoAndInspectionItemCode(partNo, inspectionItemCode);
        if (inspectionSpecs == null || inspectionSpecs.isEmpty()) {
            return outputEncapsulationObject(PromptMessageEnum.DATA_NONE, "暂时没有该零件的规格信息！", locale);
        }
        return outputEncapsulationObject(PromptMessageEnum.SUCCESS, inspectionSpecs.get(0), locale);
    }


}
