package com.xkrs.dao;

import com.xkrs.model.entity.QcInspectionItemDict;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Modifying;
import org.springframework.data.jpa.repository.Query;
import org.springframework.stereotype.Component;

@Component
public interface QcInspectionItemDictDao extends JpaRepository<QcInspectionItemDict, Long>, JpaSpecificationExecutor<QcInspectionItemDict> {

    /**
     * 通过检验项代码查询字典表的数据
     *
     * @param inspectionItemCode
     * @return
     */
    QcInspectionItemDict findByInspectionItemCode(String inspectionItemCode);

    /**
     * 根据id查询字典信息
     *
     * @param id
     * @return
     */
    QcInspectionItemDict findById(Integer id);

    /**
     * 根据id修改字典的信息
     *
     * @param id
     * @param inspectionItemName
     */
    @Modifying(clearAutomatically = true)
    @Query(value = "update qc_inspection_item_dict set inspection_item_name = ?2 where id = ?1", nativeQuery = true)
    void updateDictById(Integer id, String inspectionItemName);
}
