package com.xkrs.model.entity;

import javax.persistence.*;

/**
 * 质检采集数据表
 */
@Entity
@Table(name = "qc_inspection_data_source")
public class QcInspectionDataSource {

    /**
     * 采集数据编号
     */
    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    private Integer id;

    /**
     * 批次号
     */
    @Column(length = 85, columnDefinition = "varchar(85)")
    private String lotNo;

    /**
     * 机器号
     */
    @Column(length = 85, columnDefinition = "varchar(85)")
    private String machineNo;

    /**
     * 物料号
     */
    @Column(length = 85, columnDefinition = "varchar(85)")
    private String materialNo;

    /**
     * 模具号
     */
    @Column(length = 85, columnDefinition = "varchar(85)")
    private String modelNo;

    /**
     * 零件号
     */
    @Column(length = 85, columnDefinition = "varchar(85)")
    private String partNo;

    /**
     * 检验项代码
     */
    @Column(length = 85, columnDefinition = "varchar(85)")
    private String inspectionItemCode;

    /**
     * 检验数值
     */
    @Column(length = 85, columnDefinition = "varchar(85)")
    private String inspectValue;

    public QcInspectionDataSource() {
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getLotNo() {
        return lotNo;
    }

    public void setLotNo(String lotNo) {
        this.lotNo = lotNo;
    }

    public String getMachineNo() {
        return machineNo;
    }

    public void setMachineNo(String machineNo) {
        this.machineNo = machineNo;
    }

    public String getMaterialNo() {
        return materialNo;
    }

    public void setMaterialNo(String materialNo) {
        this.materialNo = materialNo;
    }

    public String getModelNo() {
        return modelNo;
    }

    public void setModelNo(String modelNo) {
        this.modelNo = modelNo;
    }

    public String getPartNo() {
        return partNo;
    }

    public void setPartNo(String partNo) {
        this.partNo = partNo;
    }

    public String getInspectionItemCode() {
        return inspectionItemCode;
    }

    public void setInspectionItemCode(String inspectionItemCode) {
        this.inspectionItemCode = inspectionItemCode;
    }

    public String getInspectValue() {
        return inspectValue;
    }

    public void setInspectValue(String inspectValue) {
        this.inspectValue = inspectValue;
    }

    @Override
    public String toString() {
        return "QcInspectionDataSource{" + "id=" + id + ", lotNo='" + lotNo + '\'' + ", machineNo='" + machineNo + '\'' + ", materialNo='" + materialNo + '\'' + ", modelNo='" + modelNo + '\'' + ", partNo='" + partNo + '\'' + ", inspectionItemCode='" + inspectionItemCode + '\'' + ", inspectValue='" + inspectValue + '\'' + '}';
    }
}
