package com.xkrs.model.entity;

import javax.persistence.*;

/**
 * 检验规格实体类
 */
@Entity
@Table(name = "qc_inspection_spec")
public class QcInspectionSpec {

    /**
     * 规格编号
     */
    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    private Integer id;

    /**
     * 零件号
     */
    @Column(length = 85, columnDefinition = "varchar(85)")
    private String partNo;

    /**
     * 检验项代码
     */
    @Column(length = 85, columnDefinition = "varchar(85)")
    private String inspectionItemCode;

    /**
     * 最大值
     */
    @Column(length = 85, columnDefinition = "varchar(85)")
    private String max;

    /**
     * 平均值
     */
    @Column(length = 85, columnDefinition = "varchar(85)")
    private String mean;

    /**
     * 最小值
     */
    @Column(length = 85, columnDefinition = "varchar(85)")
    private String min;

    /**
     * 单位
     */
    @Column(length = 85, columnDefinition = "varchar(85)")
    private String unit;

    /**
     * 检验方法
     */
    @Column(length = 85, columnDefinition = "varchar(85)")
    private String inspectionMethod;

    /**
     * 检验标准
     */
    @Column(length = 85, columnDefinition = "varchar(85)")
    private String inspectionStandard;

    /**
     * 备注
     */
    @Column(length = 85, columnDefinition = "varchar(85)")
    private String remark;

    public QcInspectionSpec() {
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getPartNo() {
        return partNo;
    }

    public void setPartNo(String partNo) {
        this.partNo = partNo;
    }

    public String getInspectionItemCode() {
        return inspectionItemCode;
    }

    public void setInspectionItemCode(String inspectionItemCode) {
        this.inspectionItemCode = inspectionItemCode;
    }

    public String getMax() {
        return max;
    }

    public void setMax(String max) {
        this.max = max;
    }

    public String getMean() {
        return mean;
    }

    public void setMean(String mean) {
        this.mean = mean;
    }

    public String getMin() {
        return min;
    }

    public void setMin(String min) {
        this.min = min;
    }

    public String getUnit() {
        return unit;
    }

    public void setUnit(String unit) {
        this.unit = unit;
    }

    public String getInspectionMethod() {
        return inspectionMethod;
    }

    public void setInspectionMethod(String inspectionMethod) {
        this.inspectionMethod = inspectionMethod;
    }

    public String getInspectionStandard() {
        return inspectionStandard;
    }

    public void setInspectionStandard(String inspectionStandard) {
        this.inspectionStandard = inspectionStandard;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    @Override
    public String toString() {
        return "QcInspectionSpec{" +
                "id=" + id +
                ", partNo='" + partNo + '\'' +
                ", inspectionItemCode='" + inspectionItemCode + '\'' +
                ", max='" + max + '\'' +
                ", mean='" + mean + '\'' +
                ", min='" + min + '\'' +
                ", unit='" + unit + '\'' +
                ", inspectionMethod='" + inspectionMethod + '\'' +
                ", inspectionStandard='" + inspectionStandard + '\'' +
                ", remark='" + remark + '\'' +
                '}';
    }

}
