package com.xkrs.service.impl;

import com.xkrs.dao.QcInspectionItemDictDao;
import com.xkrs.encapsulation.PromptMessageEnum;
import com.xkrs.model.entity.QcInspectionItemDict;
import com.xkrs.model.qo.QcInspectionItemDictQo;
import com.xkrs.service.QcInspectionItemDictService;
import org.springframework.context.i18n.LocaleContextHolder;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.Locale;

import static com.xkrs.encapsulation.OutputEncapsulation.outputEncapsulationObject;

/**
 * @Author: XinYi Song
 * @Date: 2022/1/19 10:28
 */
@Service
public class QcInspectionItemDictServiceImpl implements QcInspectionItemDictService {

    @Resource
    private QcInspectionItemDictDao inspectionItemDictDao;

    /**
     * 添加字典数据
     *
     * @param inspectionItemDictQo
     * @return
     */
    @Override
    public String insertDataDict(QcInspectionItemDictQo inspectionItemDictQo) {
        Locale locale = LocaleContextHolder.getLocale();
        QcInspectionItemDict englishName = inspectionItemDictDao.findByInspectionItemCode(inspectionItemDictQo.getInspectionItemCode());
        if (englishName != null) {
            return outputEncapsulationObject(PromptMessageEnum.DATA_EXIT, "该产品变量已存在，请勿重复添加！", locale);
        }
        QcInspectionItemDict qcInspectionItemDict = new QcInspectionItemDict();
        qcInspectionItemDict.setInspectionItemName(inspectionItemDictQo.getInspectionItemName());
        qcInspectionItemDict.setInspectionItemCode(inspectionItemDictQo.getInspectionItemCode());
        inspectionItemDictDao.save(qcInspectionItemDict);
        return outputEncapsulationObject(PromptMessageEnum.SUCCESS, "添加成功！", locale);
    }
}
