package com.xkrs.service.impl;

import com.xkrs.dao.QcInspectionPictureDao;
import com.xkrs.encapsulation.PromptMessageEnum;
import com.xkrs.model.entity.QcInspectionPicture;
import com.xkrs.model.qo.QcInspectionPictureQo;
import com.xkrs.service.QcInspectionPictureService;
import com.xkrs.util.ExcelUploadUtil;
import org.springframework.context.i18n.LocaleContextHolder;
import org.springframework.web.multipart.MultipartFile;

import javax.annotation.Resource;
import java.io.IOException;
import java.util.Locale;

import static com.xkrs.encapsulation.OutputEncapsulation.outputEncapsulationObject;

public class QcInspectionPictureServiceImpl implements QcInspectionPictureService {

    @Resource
    private QcInspectionPictureDao inspectionPictureDao;

    @Override
    public String insertPicture(QcInspectionPictureQo inspectionPictureQo, MultipartFile pictureFile) throws IOException {
        Locale locale = LocaleContextHolder.getLocale();
        String file = ExcelUploadUtil.memoryFile(pictureFile);
        QcInspectionPicture qcInspectionPicture = new QcInspectionPicture();
        qcInspectionPicture.setId(inspectionPictureQo.getId());
        qcInspectionPicture.setLotNo(inspectionPictureQo.getLotNo());
        qcInspectionPicture.setMachineNo(inspectionPictureQo.getMachineNo());
        qcInspectionPicture.setMaterialNo(inspectionPictureQo.getMaterialNo());
        qcInspectionPicture.setModelNo(inspectionPictureQo.getModelNo());
        qcInspectionPicture.setPartNo(inspectionPictureQo.getPartNo());
        qcInspectionPicture.setPicturePath(file);
        inspectionPictureDao.save(qcInspectionPicture);
        return outputEncapsulationObject(PromptMessageEnum.SUCCESS, "添加成功！", locale);
    }
}
