package com.xkrs.service.impl;

import com.xkrs.dao.QcInspectionItemDictDao;
import com.xkrs.dao.QcInspectionSpecDao;
import com.xkrs.encapsulation.PromptMessageEnum;
import com.xkrs.model.entity.QcInspectionSpec;
import com.xkrs.model.qo.QcInspectionSpecQo;
import com.xkrs.service.QcInspectionSpecService;
import org.springframework.context.i18n.LocaleContextHolder;

import javax.annotation.Resource;
import java.util.Locale;

import static com.xkrs.encapsulation.OutputEncapsulation.outputEncapsulationObject;

public class QcInspectionSpecServiceImpl implements QcInspectionSpecService {

    @Resource
    private QcInspectionSpecDao inspectionSpecDao;

    @Resource
    private QcInspectionItemDictDao inspectionItemDictDao;


    /**
     * 新增规格数据
     *
     * @param inspectionSpecQo
     * @return
     */
    @Override
    public String insertSpec(QcInspectionSpecQo inspectionSpecQo) {
        Locale locale = LocaleContextHolder.getLocale();
        QcInspectionSpec inspectionSpec = new QcInspectionSpec();
        if (inspectionSpecQo.getId() > 0) {
            inspectionSpec.setId(inspectionSpecQo.getId());
        }
        inspectionSpec.setPartNo(inspectionSpecQo.getPartNo());
        inspectionSpec.setInspectionItemCode(inspectionSpecQo.getInspectionItemCode());
        inspectionSpec.setMax(inspectionSpecQo.getMax());
        inspectionSpec.setMean(inspectionSpecQo.getMean());
        inspectionSpec.setMin(inspectionSpecQo.getMin());
        inspectionSpec.setUnit(inspectionSpecQo.getUnit());
        inspectionSpec.setInspectionMethod(inspectionSpecQo.getInspectionMethod());
        inspectionSpec.setInspectionStandard(inspectionSpecQo.getInspectionStandard());
        inspectionSpec.setRemark(inspectionSpecQo.getRemark());
        inspectionSpecDao.save(inspectionSpec);
        return outputEncapsulationObject(PromptMessageEnum.SUCCESS, "添加成功！", locale);
    }
}
