package com.xkrs.util;

import com.xkrs.dao.QcInspectionItemDictDao;
import com.xkrs.model.entity.QcInspectionItemDict;
import org.springframework.data.jpa.domain.Specification;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;
import javax.persistence.criteria.CriteriaBuilder;
import javax.persistence.criteria.CriteriaQuery;
import javax.persistence.criteria.Predicate;
import javax.persistence.criteria.Root;
import java.util.ArrayList;
import java.util.List;

/**
 * @Author: XinYi Song
 * @Date: 2022/1/19 13:56
 */
@Component
public class Query {

    @Resource
    private QcInspectionItemDictDao inspectionItemDictDao;

    /**
     * 动态多条件查询字典信息
     *
     * @return
     */
    public List<QcInspectionItemDict> selectDataDict(String inspectionItemCode, String inspectionItemName) {
        Specification<QcInspectionItemDict> specification = new Specification<QcInspectionItemDict>() {
            @Override
            public Predicate toPredicate(Root<QcInspectionItemDict> root, CriteriaQuery<?> criteriaQuery, CriteriaBuilder criteriaBuilder) {
                List<Predicate> list = new ArrayList<>();
                if (inspectionItemCode != null && !"".equals(inspectionItemCode)) {
                    list.add(criteriaBuilder.equal(root.get("inspectionItemCode").as(String.class), inspectionItemCode));
                }
                if (inspectionItemName != null && !"".equals(inspectionItemName)) {
                    list.add(criteriaBuilder.equal(root.get("inspectionItemName").as(String.class), inspectionItemName));
                }
                Predicate[] predicates = new Predicate[list.size()];
                return criteriaBuilder.and(list.toArray(predicates));
            }
        };
        return inspectionItemDictDao.findAll(specification);
    }
}
